<template>
  <hyper-link
    :to="network.url"
    :aria-label="`Contáctanos via ${network.id}`"
    class="mx-2"
  >
    <component :is="icon" class="h-10 w-10 fill-current" />
  </hyper-link>
</template>

<script>
export default {
  name: 'SocialIconLink',
  props: {
    network: {
      type: Object,
      default: () => ({ id: undefined, url: undefined }),
      required: true,
    },
  },
  computed: {
    icon() {
      const iconFile = `${this.network.id}-icon.svg`;
      return () =>
        import(
          /* webpackInclude: /-icon\.svg$/ */
          `../../../static/media/${iconFile}`
        );
    },
  },
};
</script>
